package com.goldenwater.slgc.service.pms;

import com.goldenwater.slgc.entity.pms.PmsCompany;
import java.util.List;

public interface IPmsCompanyService {
    /**
     * 查询单位列表
     */
    List<PmsCompany> selectList(PmsCompany company);

    /**
     * 根据主键查询单位
     */
    PmsCompany selectById(Long id);

    /**
     * 新增单位
     */
    int insert(PmsCompany company);

    /**
     * 修改单位
     */
    int update(PmsCompany company);

    /**
     * 删除单位
     */
    int deleteById(Long id);

    /**
     * 批量删除单位
     */
    int deleteByIds(Long[] ids);
}
